#include <dos.h>
#include <bios.h>

void mousem(int *x, int *y);
unsigned int bstatus(void);
void mousexy(unsigned int *x, unsigned int *y);
//unsigned char inkey(void);

/* -----------------------------------------
void mousexy(unsigned int *x, unsigned int *y)
	x and y = real position of mouse
	0 < x < 639
	0 < y < 199
----------------------------------------- */

void mousexy(unsigned int *x, unsigned int *y)
{
	union REGS regs;
	regs.x.ax = 0x03;
	int86(0x033, &regs, &regs);
	*x = regs.x.cx;
	*y = regs.x.dx;
}

/* -----------------------------------------
void mousem(unsigned int *x, unsigned int *y)
	x and y = mickeys from last read
----------------------------------------- */

void mousem(int *x, int *y)
{
	union REGS regs;
	regs.x.ax = 0x0B;
	int86(0x033, &regs, &regs);
	*x = regs.x.cx;
	*y = regs.x.dx;
}

/* -----------------------------------------
unsigned int bstatus(void)
	returns button status:
	0 = no button
	1 = button 1
	2 = button 2
	4 = button 3
	00000000
	||||||||- Button 1
	|||||||--- Button 2
	||||||---- Button 3
	||||||---- No use (I think...)
----------------------------------------- */

unsigned int bstatus(void)
{
	union REGS regs;
	regs.x.ax = 0x03;
	int86(0x033, &regs, &regs);
	return(regs.x.bx);
}
